# $Revision: 1.11 $, $Date: 2010/07/08 08:45:17 $
Summary:	The Zolera SOAP Infrastructure
Summary(pl.UTF-8):	Infrastruktura Zolera SOAP
Name:		python-ZSI
Version:	2.0
Release:	4
License:	MIT/X + LBNL BSD-style + Zope Public License
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/pywebsvcs/ZSI-%{version}.tar.gz
# Source0-md5:	bb706337cafe9e2201b06b1bce71ca0f
URL:		http://pywebsvcs.sourceforge.net/
%pyrequires_eq	python
Requires:	python-PyXML >= 0.8.4-6
BuildRequires:	python-PyXML
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-setuptools
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ZSI, the Zolera SOAP Infrastructure, is a Python package that provides
an implementation of SOAP messaging, as described in The SOAP 1.1
Specification. In particular, ZSI parses and generates SOAP messages,
and converts between native Python datatypes and SOAP syntax. It can
also be used to build applications using SOAP Messages with
Attachments. ZSI is ``transport neutral'', and provides only a simple
I/O and dispatch framework; a more complete solution is the
responsibility of the application using ZSI.

%description -l pl.UTF-8
ZSI, czyli Zolera SOAP Infrastructure, to pakiet Pythona zawierający
implementację komunikacji SOAP zgodną ze specyfikacją SOAP 1.1. W
szczególności ZSI przetwarza i generuje komunikaty SOAP oraz dokonuje
konwersji między natywnymi typami danych Pythona a składnią SOAP. Może
być także używane do tworzenia aplikacji przy użyciu komunikatów SOAP
z załącznikami. ZSI jest niezależne od transportu i udostępnia jedynie
prostego szkieletu we/wy i wysyłania; za pełniejsze rozwiązanie
odpowiada aplikacja korzystająca z ZSI.

%prep
%setup -q -n ZSI-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}

python setup.py install \
	--single-version-externally-managed \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*.{html,css} doc/examples samples
%doc CHANGES README
%attr(755,root,root) %{_bindir}/*
%{py_sitescriptdir}/ZSI*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-ZSI.spec,v $
Revision 1.11  2010/07/08 08:45:17  arekm
- release 4

Revision 1.10  2008/10/05 11:00:14  arekm
- release 3

Revision 1.9  2008/09/20 19:19:16  wiget
- fixed typo in R:python-PyXML
- release 2

Revision 1.8  2007/04/24 17:26:49  arekm
- PyXML requirement

Revision 1.7  2007/04/24 17:20:41  arekm
- up to 2.0

Revision 1.6  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.4  2006/09/30 23:08:13  arekm
- rel .2

Revision 1.3  2006/01/30 10:39:42  qboosh
- pl

Revision 1.2  2006/01/29 16:19:30  ankry
- typo?

Revision 1.1  2006/01/29 15:40:16  arekm
- new one
